unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / code / Atom feed
From: "Ludovic Courtès" <ludo@gnu.org>
To: "Simen Endsjø" <simendsjo@gmail.com>
Cc: 41932@debbugs.gnu.org
Subject: bug#41932: make check failures
Date: Sat, 20 Jun 2020 13:18:59 +0200	[thread overview]
Message-ID: <87lfkiast8.fsf@gnu.org> (raw)
In-Reply-To: <87sges3cim.fsf@gmail.com> ("Simen \=\?utf-8\?Q\?Endsj\=C3\=B8\=22's\?\= message of "Thu, 18 Jun 2020 12:16:01 +0200")

Hi Simen,

Thanks for your report.  Some explanations follow:

Simen Endsjø <simendsjo@gmail.com> skribis:

> test-name: channel-news, one entry
> location: /home/simendsjo/code/guix/tests/channels.scm:318
> source:
> + (test-assert
> +   "channel-news, one entry"
> +   (with-temporary-git-repository
> +     directory
> +     `((add ".guix-channel"
> +            ,(object->string
> +               '(channel (version 0) (news-file "news.scm"))))
> +       (commit "first commit")
> +       (add "src/a.txt" "A")
> +       (commit "second commit")
> +       (tag "tag-for-first-news-entry")
> +       (add "news.scm"
> +            ,(lambda (repository)
> +               (let ((previous
> +                       (reference-name->oid repository "HEAD")))
> +                 (object->string
> +                   `(channel-news
> +                      (version 0)
> +                      (entry (commit ,(oid->string previous))
> +                             (title (en "New file!") (eo "Nova
> dosiero!"))
> +                             (body (en "Yeah, a.txt."))))))))
> +       (commit "third commit")
> +       (add "src/b.txt" "B")
> +       (commit "fourth commit")
> +       (add "news.scm"
> +            ,(lambda (repository)
> +               (let ((second
> +                       (commit-id
> +                         (find-commit repository "second commit")))
> +                     (previous
> +                       (reference-name->oid repository "HEAD")))
> +                 (object->string
> +                   `(channel-news
> +                      (version 0)
> +                      (entry (commit ,(oid->string previous))
> +                             (title (en "Another file!"))
> +                             (body (en "Yeah, b.txt.")))
> +                      (entry (tag "tag-for-first-news-entry")
> +                             (title (en "Old news.") (eo
> "Malnova?oj."))

Seems you’re missing a UTF-8 locale, which causes this test to fail.

> test-name: signed commits, SHA1 signature
> location: /home/simendsjo/code/guix/tests/git-authenticate.scm:60
> source:
> + (test-assert
> +   "signed commits, SHA1 signature"
> +   (with-fresh-gnupg-setup
> +     (list %ed25519-public-key-file
> +           %ed25519-secret-key-file)
> +     (call-with-output-file
> +       (string-append (getenv "GNUPGHOME") "/gpg.conf")
> +       (lambda (port) (display "digest-algo sha1" port)))
> +     (with-temporary-git-repository
> +       directory
> +       `((add "a.txt" "A")
> +         (add "signer.key"
> +              ,(call-with-input-file
> +                 %ed25519-public-key-file
> +                 get-string-all))
> +         (add ".guix-authorizations"
> +              ,(object->string
> +                 `(authorizations
> +                    (version 0)
> +                    ((,(key-fingerprint %ed25519-public-key-file)
> +                      (name "Charlie"))))))
> +         (commit
> +           "first commit"
> +           (signer
> +             ,(key-fingerprint %ed25519-public-key-file))))
> +       (with-repository
> +         directory
> +         repository
> +         (let ((commit (find-commit repository "first")))
> +           (guard (c ((unsigned-commit-error? c)
> +                      (oid=? (git-authentication-error-commit c)
> +                             (commit-id commit))))
> +                  (authenticate-commits
> +                    repository
> +                    (list commit)
> +                    #:keyring-reference
> +                    "master")
> +                  'failed))))))
> actual-value: #f
> actual-error:
> + (%exception
> +   #<&invoke-error program: "gpg" arguments: ("--import"
> "/home/simendsjo/code/guix/tests/ed25519.key") exit-status: 127
> term-signal: #f stop-signal: #f>)
> result: FAIL

Looks like ‘gpg’ is missing from $PATH.  The test should have been
skipped, but there was a typo; fixed now.

> + set -e
> + guix environment --version
> guix environment (GNU Guix) 1.0.1.18382-e418c
> Copyright (C) 2020 the Guix authors
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> + guile -c '((@@ (guix scripts environment)
> assert-container-features))'
> Backtrace:
> In ice-9/boot-9.scm:
>  1736:10  8 (with-exception-handler _ _ #:unwind? _ # _)
> In unknown file:
>           7 (apply-smob/0 #<thunk 7f8770fa0180>)
> In ice-9/boot-9.scm:
>    718:2  6 (call-with-prompt _ _ #<procedure
> default-prompt-handle?>)
> In ice-9/eval.scm:
>    619:8  5 (_ #(#(#<directory (guile-user) 7f8770c1ef00>)))
> In ice-9/command-line.scm:
>   185:18  4 (_ #<input: string 7f8770c18a10>)
> In unknown file:
>           3 (eval ((@@ (guix scripts environment) #)) #<directory
> (?>)
> In ice-9/eval.scm:
>   182:19  2 (proc #f)
>   142:16  1 (compile-top-call #f (5 (guix scripts environment) . #) #)
> In unknown file:
>           0 (%resolve-variable (5 (guix scripts environment) # .
> #f) ?)
>
> ERROR: In procedure %resolve-variable:
> error: assert-container-features: unbound variable
> + exit 77
> SKIP tests/guix-environment-container.sh (exit status: 77)

Oops, not a test failure, but still an issue here.

> FAIL: tests/guix-repl
> =====================
>
> + guix repl --version
> guix repl (GNU Guix) 1.0.1.18382-e418c
> Copyright (C) 2020 the Guix authors
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> ++ mktemp -d
> + test_directory=/tmp/tmp.1dOO9LbJgB
> + export test_directory
> + trap 'chmod -Rf +w "$test_directory"; rm -rf "$test_directory"' EXIT
> + tmpfile=/tmp/tmp.1dOO9LbJgB/foo.scm
> + rm -f /tmp/tmp.1dOO9LbJgB/foo.scm
> + trap 'rm -f "$tmpfile"' EXIT
> + module_dir=t-guix-repl-20146
> + mkdir t-guix-repl-20146
> + trap 'rm -rf "$module_dir"' EXIT
> + cat
> ++ guix repl /tmp/tmp.1dOO9LbJgB/foo.scm
> + test 'Consider installing the '\''guile-readline'\'' package for
> convenient interactive line editing and input history.
>
> Consider installing the '\''guile-colorized'\'' package
> for a colorful Guile experience.
>
> coreutils' = coreutils
> + rm -rf t-guix-repl-20146
> FAIL tests/guix-repl.sh (exit status: 1)

Here ~/.guile is read by ‘guix repl’ when it shouldn’t.  I believe this
was fixed by 290c3166212d1c7150ac64ea6d6f6ad506c4d29b.

Thanks for reporting these issues!

Ludo’.




  reply	other threads:[~2020-06-20 11:20 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-18 10:16 bug#41932: make check failures Simen Endsjø
2020-06-20 11:18 ` Ludovic Courtès [this message]
2020-10-21  4:24   ` Maxim Cournoyer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://guix.gnu.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=87lfkiast8.fsf@gnu.org \
    --to=ludo@gnu.org \
    --cc=41932@debbugs.gnu.org \
    --cc=simendsjo@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).